#include <stdio.h>
#include <string.h>
#include "smilepot.h"

int main(int argc, char** argv)
{
    if(argc<=1 || argv[1]==NULL || argv[1][0]==0) {
        printf("Please specify input file=... or other parameters such as potential type=...\n");
        return 1;
    }
    const smilePotential* pot=NULL;
    const char* filename=NULL;
    if(argc==2 && strchr(argv[1], '=')==0)
        filename=argv[1];
    if(argc==2 && strstr(argv[1], "file=")==argv[1])
        filename=argv[1]+5;
    if(filename)
        pot=smilepot_create(filename);
    else
        pot=smilepot_create_params(argc, (const char* const*)argv);
    if(pot==NULL) {
        printf("Error in creating potential\n");
    } else {
        double xyz[3]={0,0,0};
        printf("%s potential at r=0: %f\n", smilepot_name(pot),
            smilepot_potential(pot, xyz));
        smilepot_delete(pot);
    }
}